WABT(1)

NAME
wasm-decompile - translate from the binary format to readable C-like syntax

SYNOPSIS
wasm-decompile [options] file

DESCRIPTION
wasm-decompile translate from the binary format to readable C-like syntax.

The options are as follows:

-v, - -verbose
    Use multiple times for more info

- -help
    Print a help message

-o, - -output=FILENAME
    Output file for the generated wast file, by default use stdout

- -enable-exceptions
    Experimental exception handling

- -disable-mutable-globals
    Import/export mutable globals

- -enable-saturating-float-to-int
    Saturating float-to-int operators

- -enable-sign-extension
    Sign-extension operators

- -disable-simd
    SIMD support

- -enable-threads
    Threading support

EXAMPLES
Parse binary file test.wasm and write text file test.dcmp

    $ wasm-decompile test.wasm -o test.dcmp

SEE ALSO
wasm2wat(1), wasm-interp(1), wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wast2json(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

BUGS
If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.